### Enumeration

# WebKit2 HardwareAccelerationPolicy

#### Declaration

    enum WebKit2.HardwareAccelerationPolicy

#### Description [src]

Enum values used for determining the hardware acceleration policy.

Available since: | 2.16

#### Members

Name | Description
--- | ---
`WEBKIT_HARDWARE_ACCELERATION_POLICY_ON_DEMAND` | Hardware acceleration is enabled/disabled as request by web contents.
`WEBKIT_HARDWARE_ACCELERATION_POLICY_ALWAYS` | Hardware acceleration is always enabled, even for websites not requesting it.
`WEBKIT_HARDWARE_ACCELERATION_POLICY_NEVER` | Hardware acceleration is always disabled, even for websites requesting it.